package net.brokenmoon.afloydironchest;

import net.brokenmoon.afloydironchest.blocks.DiamondChest;
import net.brokenmoon.afloydironchest.blocks.IronChest;
import net.brokenmoon.afloydironchest.blocks.GoldChest;
import net.brokenmoon.afloydironchest.blocks.SteelChest;
import net.fabricmc.api.ModInitializer;
import net.minecraft.src.Block;
import net.minecraft.src.BlockChest;
import net.minecraft.src.Item;
import net.minecraft.src.Material;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import turniplabs.halplibe.helper.BlockHelper;
import turniplabs.halplibe.helper.RecipeHelper;


public class IronChestMain implements ModInitializer {
    public static final String MOD_ID = "ironchest";
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

    public static Block IronChest = BlockHelper.createBlock(MOD_ID, new IronChest(900, Material.iron), "ironchest",
            "ironchesttop.png", "ironchestbottom.png",
            "ironchestfront.png", "ironchestside.png", "ironchestside.png", "ironchestside.png",
            Block.soundMetalFootstep, 5, 6, 0);
    public static Block GoldChest = BlockHelper.createBlock(MOD_ID, new GoldChest(901, Material.iron), "goldchest",
            "goldchesttop.png", "goldchestbottom.png",
            "goldchestfront.png", "goldchestside.png", "goldchestside.png", "goldchestside.png",
            Block.soundMetalFootstep, 5, 6, 0);
    public static Block DiamondChest = BlockHelper.createBlock(MOD_ID, new DiamondChest(902, Material.iron), "diamondchest",
            "diamondchesttop.png", "diamondchestbottom.png",
            "diamondchestfront.png", "diamondchestside.png", "diamondchestside.png", "diamondchestside.png",
            Block.soundMetalFootstep, 5, 6, 0);
    public static Block SteelChest = BlockHelper.createBlock(MOD_ID, new SteelChest(903, Material.iron), "steelchest",
            "steelchesttop.png", "steelchestbottom.png",
            "steelchestfront.png", "steelchestside.png", "steelchestside.png", "steelchestside.png",
            Block.soundMetalFootstep, 5, 6, 0);

    @Override
    public void onInitialize() {
        LOGGER.info("AFloydIronChest initialized.");

        RecipeHelper.Crafting.createRecipe(IronChest, 1, new Object[]{
                "AAA",
                "ABA",
                "AAA",
                'A', Item.ingotIron,
                'B', Block.chestPlanksOak
        });
        RecipeHelper.Crafting.createRecipe(IronChest, 1, new Object[]{
                "AAA",
                "ABA",
                "AAA",
                'A', Item.ingotIron,
                'B', Block.chestPlanksOakPainted
        });
        RecipeHelper.Crafting.createRecipe(GoldChest, 1, new Object[]{
                "AAA",
                "ABA",
                "AAA",
                'A', Item.ingotGold,
                'B', IronChest
        });
        RecipeHelper.Crafting.createRecipe(DiamondChest, 1, new Object[]{
                "AAA",
                "ABA",
                "AAA",
                'A', Item.diamond,
                'B', GoldChest
        });
        RecipeHelper.Crafting.createRecipe(SteelChest, 1, new Object[]{
                "AAA",
                "ABA",
                "AAA",
                'A', Item.ingotSteel,
                'B', GoldChest
        });
    }
}
